package gov.va.med.esr.service.impl;


public class AddProxyPreferredFacilityException extends Exception {
	   
	   /**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = -5419639461230634303L;

		/**
	    * Creates new <code>AddProxyPreferredFacilityException</code> without detail message.
	    */
	    public AddProxyPreferredFacilityException() {
	      super();
	   }
	   
	    /**
	     * Creates a new <code>AddProxyPreferredFacilityException</code> with the specific cause
	     */
	     public AddProxyPreferredFacilityException( Throwable cause ) {
	       super(cause);
	    }
	     
	     
	   /**
	    * Constructs an <code>AddProxyPreferredFacilityException</code> with the specified detail message.
	    * @param msg the detail message.
	    */
	    public AddProxyPreferredFacilityException(String msg) {
	      super(msg);
	   }
	   
	   /**
	    * Constructs an <code>AddProxyPreferredFacilityException</code> with the specified detail message
	    * and a caused exception
	    * @param msg the detail message.
	    * @param cause the caused exception
	    */
	    public AddProxyPreferredFacilityException(String msg, Throwable cause) {
	      super( msg, cause );
	   }
	}


